<?php
 
 
 

namespace PhpWA\Protocol\Proto\HandshakeMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ClientHello extends \Google\Protobuf\Internal\Message
{
    


    protected $ephemeral = null;
    


    protected $static = null;
    


    protected $payload = null;
    


    protected $useExtended = null;
    


    protected $extendedCiphertext = null;

    












    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getEphemeral()
    {
        return isset($this->ephemeral) ? $this->ephemeral : '';
    }

    public function hasEphemeral()
    {
        return isset($this->ephemeral);
    }

    public function clearEphemeral()
    {
        unset($this->ephemeral);
    }

    




    public function setEphemeral($var)
    {
        GPBUtil::checkString($var, False);
        $this->ephemeral = $var;

        return $this;
    }

    



    public function getStatic()
    {
        return isset($this->static) ? $this->static : '';
    }

    public function hasStatic()
    {
        return isset($this->static);
    }

    public function clearStatic()
    {
        unset($this->static);
    }

    




    public function setStatic($var)
    {
        GPBUtil::checkString($var, False);
        $this->static = $var;

        return $this;
    }

    



    public function getPayload()
    {
        return isset($this->payload) ? $this->payload : '';
    }

    public function hasPayload()
    {
        return isset($this->payload);
    }

    public function clearPayload()
    {
        unset($this->payload);
    }

    




    public function setPayload($var)
    {
        GPBUtil::checkString($var, False);
        $this->payload = $var;

        return $this;
    }

    



    public function getUseExtended()
    {
        return isset($this->useExtended) ? $this->useExtended : false;
    }

    public function hasUseExtended()
    {
        return isset($this->useExtended);
    }

    public function clearUseExtended()
    {
        unset($this->useExtended);
    }

    




    public function setUseExtended($var)
    {
        GPBUtil::checkBool($var);
        $this->useExtended = $var;

        return $this;
    }

    



    public function getExtendedCiphertext()
    {
        return isset($this->extendedCiphertext) ? $this->extendedCiphertext : '';
    }

    public function hasExtendedCiphertext()
    {
        return isset($this->extendedCiphertext);
    }

    public function clearExtendedCiphertext()
    {
        unset($this->extendedCiphertext);
    }

    




    public function setExtendedCiphertext($var)
    {
        GPBUtil::checkString($var, False);
        $this->extendedCiphertext = $var;

        return $this;
    }

}

